	;; Generic crt0.s for M08 port (Motorola HC908QY4)
        .module crt0
       	.globl	_main

stack_length = 0x40

	.area	_CODE
init:
        ldhx #stack+stack_length-1 ; set the initial stack pointer
        txs

        ;; Initialise global variables
        jsr     gsinit
	jsr	_main
	jmp	_exit

	;; Ordering of segments for the linker.
	.area	_HOME
	.area	_CODE
        .area   _GSINIT
        .area   _GSFINAL
        
	.area	_DATA(PAGE0)
;__w0::
;	.ds 1

        .area _STACK
stack:  .ds stack_length

        .area   _XDATA
        .area   _HEAP

        .area   _CODE
_exit::
	;; Exit - special code to the emulator
1$:     stop
	bra	1$

        .area   _GSINIT
gsinit::	

        .area   _GSFINAL
        rts

	
	.area _ABS (ABS)

	;; Reset vector
	.org 	0xFFFE  ;Started here by the Bencsik's Loader
	.dw 	init
