// rc.h
//
// TV Remote controller project for Motorola68HC908QY4
// Based on SDCC M08 Port Compiler & Library
// By Sarosi, 2004.03.07, Free
//
#ifndef RC_H
#define RC_H
#include "mc68hc908qy.h"


extern unsigned char _near b;  // for bit indexing
extern unsigned int _near w;  // for bit shifting

struct _16_bits
{
  volatile unsigned int bit8:1;    // MSB
  volatile unsigned int bit9:1;
  volatile unsigned int bit10:1;
  volatile unsigned int bit11:1;
  volatile unsigned int bit12:1;
  volatile unsigned int bit13:1;
  volatile unsigned int bit14:1;
  volatile unsigned int bit15:1;

  volatile unsigned int bit0:1;    // LSB
  volatile unsigned int bit1:1;
  volatile unsigned int bit2:1;
  volatile unsigned int bit3:1;
  volatile unsigned int bit4:1;
  volatile unsigned int bit5:1;
  volatile unsigned int bit6:1;
  volatile unsigned int bit7:1;
};

#define W_BIT0 ((struct _16_bits * near)(&w))->bit0
#define W_BIT1 ((struct _16_bits * near)(&w))->bit1
#define W_BIT2 ((struct _16_bits * near)(&w))->bit2
#define W_BIT3 ((struct _16_bits * near)(&w))->bit3
#define W_BIT4 ((struct _16_bits * near)(&w))->bit4
#define W_BIT5 ((struct _16_bits * near)(&w))->bit5
#define W_BIT6 ((struct _16_bits * near)(&w))->bit6
#define W_BIT7 ((struct _16_bits * near)(&w))->bit7
#define W_BIT8 ((struct _16_bits * near)(&w))->bit8
#define W_BIT9 ((struct _16_bits * near)(&w))->bit9
#define W_BIT10 ((struct _16_bits * near)(&w))->bit10
#define W_BIT11 ((struct _16_bits * near)(&w))->bit11
#define W_BIT12 ((struct _16_bits * near)(&w))->bit12
#define W_BIT13 ((struct _16_bits * near)(&w))->bit13
#define W_BIT14 ((struct _16_bits * near)(&w))->bit14
#define W_BIT15 ((struct _16_bits * near)(&w))->bit15

void main(void);
#endif

