/*
** libgcc support for software floating point.
** Copyright (C) 1991 by Pipeline Associates, Inc.  All rights reserved.
** Permission is granted to do *anything* you want with this file,
** commercial or otherwise, provided this message remains intact.  So there!
** I would appreciate receiving any updates/patches/changes that anyone
** makes, and am willing to be the repository for said changes (am I
** making a big mistake?).
**
** Pat Wood
** Pipeline Associates, Inc.
** pipeline!phw@motown.com or
** sun!pipeline!phw or
** uunet!motown!pipeline!phw
*/

#include <float.h>

/* returns exponent of float */
long __fs_mant(long *a)
{
  a+0;
  _asm
      pshx
      tax
      pulh
      lda  3,x
      sta  6,sp
      lda  2,x
      sta  5,sp
      lda  1,x
      ora  #0x80    // insert hidden bit
      sta  4,sp
      clr  3,sp
      rts
  _endasm;
  return 0; 
}

