/*-------------------------------------------------------------------------
  _strcpy.c - part of string library functions

             Written By -  Sandeep Dutta . sandeep.dutta@usa.net (1999)

   This library is free software; you can redistribute it and/or modify it
   under the terms of the GNU Library General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   In other words, you are welcome to use, share and improve this program.
   You are forbidden to forbid anyone else to use, share and improve
   what you give them.   Help stamp out software-hoarding!
-------------------------------------------------------------------------*/
//Chg(SaJo,2003.09.05): inline and otimized for M08 

#include "string.h"

int strlen(const char * s)
{
// char *sc;
// for(sc=s; *sc; sc++);
// return sc - s;

  s+0; // dummy to hush the compiler
  _asm
      // 1..2,sp=s MSB..LSB
      psha
      pshx

      pshx           // sc(H:X) = s
      tax
      pulh

      #ifdef SDCC_WATCH_DOG_SAFE
        sta    0xffff 
	lda    ,x
        aix    #+1
        bne    .-6 
      #else
	lda    ,x
        aix    #+1
        bne    .-3 
      #endif

        // 1..2,sp=s MSB..LSB
        txa
        sec
        sbc     2,sp   // sc(H:X) - s - 1
        sta     2,sp
        pshh
	pula           // 1,sp=s MSB / 2,sp=diff LSB
        sbc     1,sp

        tax
        lda     2,sp
        ais     #2
        rts
  _endasm;
  return 0; // dummy to hush the compiler
}

